/****************************************************************************
**
** DCOP Stub Implementation created by dcopidl2cpp from kig_iface.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#include "kig_iface_stub.h"
#include <dcopclient.h>

#include <kdatastream.h>


KigIface_stub::KigIface_stub( const QCString& app, const QCString& obj )
  : DCOPStub( app, obj )
{
}

KigIface_stub::KigIface_stub( DCOPClient* client, const QCString& app, const QCString& obj )
  : DCOPStub( client, app, obj )
{
}

void KigIface_stub::openURL( const QString& arg0 )
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    QByteArray data, replyData;
    QCString replyType;
    QDataStream arg( data, IO_WriteOnly );
    arg << arg0;
    if ( dcopClient()->call( app(), obj(), "openURL(QString)", data, replyType, replyData ) ) {
	setStatus( CallSucceeded );
    } else { 
	callFailed();
    }
}


